%include common-macros.specinclude

Summary: A PDF file viewer for the X Window System.
Name: lsb-xpdf
Version: 1.01
Release: 17.lsb5
Vendor: Linux Foundation
Packager: LSB project team <lsb-discuss@linuxfoundation.org>
License: GPL
Group: Appbat/viewers
Buildroot: %{_tmppath}/%{name}-root
AutoReqProv: no
Requires: lsb >= 5.0
BuildRequires: lsb-build-libbat-%{appbatversion}
BuildRequires: lsb-build-cc lsb-build-c++

Source0: http://voxel.dl.sourceforge.net/sourceforge/fink/xpdf-%{version}.tar.gz
Source1: lsb-xpdf.desktop
Source2: xpdf.png
Patch0: xpdf-%{version}.patch

%description
LSB conforming version of xpdf.  Xpdf is an X Window System based viewer
for Portable Document Format (PDF) files. Xpdf is a small and efficient
program which uses standard X fonts.  Xpdf is added to the LSB Application
Battery primarly to demonstrate the use of C++ programs which exercise
the X11 libraries.

%prep
%setup -q -n xpdf-%{version}
%patch0 -p0 -b .lsbcc

%build
# common environment settings
export LSBCC_LSBVERSION=%{appbatversion}
%define prefix /opt/lsb
%define app_prefix %{prefix}/appbat
%define bindir %{app_prefix}/bin
%define sharedir %{app_prefix}/share
%define mandir %{app_prefix}/man

%ifarch s390x ppc64 x86_64
%define lib lib64
%else
%define lib lib
%endif
%define libdir %{prefix}/%{lib}
%define includedir %{prefix}/include

# need to be able to align with the LSB/libbat version we're built for
export CC="lsbcc -L/opt/lsb/libbat/%{appbatversion}/%{lib} -I/opt/lsb/libbat/%{appbatversion}/include"
export CXX="lsbc++ -L/opt/lsb/libbat/%{appbatversion}/%{lib} -I/opt/lsb/libbat/%{appbatversion}/include"
%define libdir %{prefix}/%{lib}-%{appbatversion}
export PKG_CONFIG_PATH=%{libdir}/pkgconfig:/opt/lsb/libbat/%{appbatversion}/%{lib}/pkgconfig
export PATH=/opt/lsb/libbat/%{appbatversion}/bin:${PATH}

# s390/s390x have issues unless we relax the opt flags
%ifarch s390 s390x
sed -i 's|O2|O1|g' configure
%endif

# so old it uses a different variable?
export CCC=lsbc++

./configure \
    --prefix=%{app_prefix} \
	--sysconfdir=/etc/opt/lsb/appbat \
	--with-gzip \
	--without-freetype-library \
	--without-freetype-includes \
	--with-freetype2-library \
	--without-t1-library \
	--without-t1-includes \
	--without-libpaper-library \
	--without-libpaper-includes

make

%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

# desktop stuff
install -d %{buildroot}%{sharedir}/applications
install -d %{buildroot}%{sharedir}/icons/hicolor/16x16/apps
cp %{SOURCE1} %{buildroot}%{sharedir}/applications
cp %{SOURCE2} %{buildroot}%{sharedir}/icons/hicolor/16x16/apps

# make a README about the patch
COUNT=`grep -n '\-\-\-' %{PATCH0} | head -1 | awk -F\: '{print $1}'`
if [ "$COUNT" -gt 1 ];then
  COUNT=`expr $COUNT - 1`
  install -d %{buildroot}%{sharedir}/doc
  head -"$COUNT" %{PATCH0} > %{buildroot}%{sharedir}/doc/README.LSB.xpdf.build.patches 
fi

%pre

%post
if [ -x /usr/bin/xdg-desktop-menu ];then
  xdg-desktop-menu install /opt/lsb/appbat/share/applications/lsb-xpdf.desktop
fi

%preun
if [ -x /usr/bin/xdg-desktop-menu ];then
  xdg-desktop-menu uninstall /opt/lsb/appbat/share/applications/lsb-xpdf.desktop
fi

%postun

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir /etc/opt/lsb

%attr ( -   root root ) /opt/lsb/appbat
%attr ( -   root root ) /etc/opt/lsb/appbat

%changelog
* Fri May 13 2011 Stew Benedict <stewb@linux-foundation.org>
- use spec file to build, drop nALFS

* Fri Feb 25 2011 Stew Benedict <stewb@linux-foundation.org>
- own the dirs we populate (bug 3195)

* Tue Jan 15 2008 Stew Benedict <stewb@linux-foundation.org>
- only execute xdg-desktop-menu if present

* Mon Oct 22 2007 Stew Benedict <stewb@linux-foundation.org>
- Add desktop menu install/remove, icon, bump release

